﻿<div class="navbar" ng-model="userOpinion">
    <div class="navbar-inner">
        <div class="left sliding">
            <a class="link back icon-only"><i class="ionicons ion-android-arrow-forward"></i></a>
        </div>
        <div class="center sliding">
            تغطياتى
        </div>
        <div class="right sliding">
            <a ng-click="GoToSearch()" class="link icon-only"><i class="ionicons ion-android-search"></i> </a>

        </div>
    </div>
    <div class="subnavbar">
        <div class="list-block">
            <ul>
                <li>
                    <a id="linkHomeBannerCity" href="#" data-open-in="popup" data-popup-close-text="إغلاق" class="item-link smart-select" data-back-on-select="true">
                        <select ng-change="goToSearchResult(selectedItem)" ng-model="selectedItem" ng-options="city.name for city in cites"></select>

                        <div class="item-content">
                            <div class="item-media"><i class="ionicons ion-android-pin"></i></div>
                            <div class="item-inner"> {{CurrentuserCityName}} </div>
                        </div>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div id="divInfiniteUserOpinion" class="page-content infinite-scroll pull-to-refresh-content"  ng-model="userOpinion">
    <div class="pull-to-refresh-layer">
        <!--<div class="preloader"></div>-->
    </div>
    <!-- swiper Page-->
    <div id="UserOpinionSwiper" class="swiper-container  offerImg swiperAdvertisment">
        <div class="swiper-wrapper">
            <div class="swiper-slide" ng-repeat="ad in Advertisements">
                <div class="item">
                    <a ng-click="goToAdvertisementUrl(ad.url)"> 
                    <img data-ng-src="{{ ad.photoUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
                    </a>
                </div>
            </div>
        </div>
    </div>


    <div class="content-block">
        <h3 ng-if="userOpinion">اسم المكان</h3>
        <p ng-if="userOpinion"><a ng-click="GoToPlaceDetails(userOpinion)">{{userOpinion.name}}</a></p>
        <h3 ng-if="userOpinion">تصنيف المكان</h3>
        <p ng-if="userOpinion">{{userOpinion.category}}</p>
        <p ng-if="userOpinion">
            <jk-rating-stars max-rating="5" rating="userOpinion.rating" read-only="true"></jk-rating-stars>
        </p>
        <h3>صور المكان</h3>

        <div id="divUserOpinionImages" ng-if="UserOpinionContainsImages" class="divWithOverflow">
            <div ng-repeat="userOpinionImage in userOpinionImages">
                <div class="imgBlock" ng-if="userClicksRemove" ng-click="AddImageToDeletedList($event,$index,userOpinionImage)">
                    <div class="delOverlay" ng-if="userClicksRemove">
                        <i class="ionicons ion-android-close"></i>
                    </div>
                    <img data-ng-src="{{userOpinionImage.photoUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
                </div>
                <div class="imgBlock" ng-if="!userClicksRemove">
                    <a ng-click="openUserOpinionGallery($index)" class="pb-popup-dark">
                        <img data-ng-src="{{userOpinionImage.photoUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
                    </a>
                </div>
            </div>
        </div>
        <div class="divAlertDesc" ng-if="!UserOpinionContainsImages">
            <p class="pNotification">لا يوجد صور للمكان .</p>
        </div>

        <p ng-if="!UserOpinionContainsFourImages"><a ng-click="AddImageFromGallery()" class="button button-round purple">إضافة صور</a></p>
        <p ng-if="!UserOpinionContainsFourImages"><a ng-click="AddImageFromCamera()" class="button button-round purple">استخدام الكاميرا</a></p>
        <p ng-if="UserOpinionContainsImages"><a ng-click="ClickRemoveImages(userOpinion)" class="button button-round yellow">{{removeImageButtonText}}</a></p>

        <div class="card rate">
            <p>إترك تقييمك</p>
            <jk-rating-stars max-rating="5" rating="userOpinion.userRating" read-only="false" on-rating="RateUserOpinion(rating, userOpinion)"></jk-rating-stars>
        </div>
        <div class="list-block">
            <p>اكتب تعليقك</p>
            <form name="$parent.UserOpinionCommentsForm" ng-submit="submitForm($parent.UserOpinionCommentsForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedUserOpinionComment && UserOpinionCommentReset && $parent.UserOpinionCommentsForm.commentText.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea name="commentText" type="text" placeholder="اكتب تعليقك" ng-model="userOpinionCommentsForm.commentText" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-if="submittedUserOpinionComment && UserOpinionCommentReset  && $parent.UserOpinionCommentsForm.commentText.$error.required" class="error-block">يجب إدخال التعليق</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedUserOpinionComment=true" class="button button-round purple">إضافة تعليق</button>
                </p>
            </form>
        </div>
        <ul class="chatui" ng-show="UserOpinionContainsComments">
            <li ng-repeat="comment in comments">
                <div class="chatavatar">
                    <img data-ng-src="{{comment.photoUrl | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="img/no-product.png" />
                </div>
                <div class="column-right chat">
                    <div class="chat-text">
                        <div class="commentowner">
                            {{comment.fullName}}
                        </div>
                        <p>{{comment.commentText}}</p>
                        <span>
                            <a ng-click="OpenReplies(comment)">
                                <i class="ionicons ion-chatboxes"></i>
                                {{comment.childrenCommentsCount}} من الردود
                            </a>
                        </span>
                        <span class="chat-delete">
                            <a ng-click="DeleteComment(comment)" ng-if="comment.isCommentOwner">
                                <i class="ionicons ion-android-delete"></i> حذف
                            </a>
                        </span>
                    </div>
                    <div class="chat-time">{{comment.commentPeriod}}</div>
                </div>
            </li>
        </ul>
        <div class="divAlertDesc" ng-show="!UserOpinionContainsComments">
            <p class="pNotification">لا يوجد تعليقات .</p>
        </div>
        <div id="infiniteLoaderUserOpinion" class="infiniteLoader" ng-show="UserOpinionMoreThanThreeComments">
            <img ng-src="img/load.svg" />
        </div>
    </div>
</div>